mobilesync_acknowledge_changes_from_device
mobilesync_actions_add
mobilesync_actions_free
mobilesync_actions_new
mobilesync_anchors_free
mobilesync_anchors_new
mobilesync_anchors_t
mobilesync_cancel
mobilesync_clear_all_records_on_device
mobilesync_client_free
mobilesync_client_new
mobilesync_client_start_service
mobilesync_client_t
mobilesync_error_t
mobilesync_finish
mobilesync_get_all_records_from_device
mobilesync_get_changes_from_device
mobilesync_ready_to_send_changes_from_computer
mobilesync_receive
mobilesync_receive_changes
mobilesync_remap_identifiers
mobilesync_send
mobilesync_send_changes
MOBILESYNC_SERVICE_NAME
mobilesync_start
mobilesync_sync_type_t

## mobilesync_clear_all_records_on_device()

LIBIMOBILEDEVICE_API mobilesync_error_t mobilesync_clear_all_records_on_device | ( | mobilesync_client_t | client | ) |

Requests the device to delete all records of the current data class.

Note
  The operation must be called after starting synchronization.

Parameters

  client | The mobilesync client

Return values

  MOBILESYNC_E_SUCCESS | on success
  MOBILESYNC_E_INVALID_ARG | if one of the parameters is invalid
  MOBILESYNC_E_PLIST_ERROR | if the received plist is not of valid form